public static final class GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder extends GeneratedMessage.Builder<GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder> implements GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfigOrBuilderThe configuration to be used to generate an operation in the Open API schema.
Protobuf type
google.cloud.ces.v1beta.GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.BuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig build()| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig |
|
buildPartial()
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig buildPartial()| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig |
|
clear()
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder clear()| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
|
clearMethod()
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder clearMethod()Required. The uri of the tool. This should include query and path parameters if any.
string method = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |
clearPath()
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder clearPath()Required. The path of the tool to be appended to the base uri. This should include query and path parameters if any.
string path = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |
clearRequestJson()
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder clearRequestJson()Required. A sample request to the tool in JSON format. Skip if the tool does not support request body.
string request_json = 3 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |
clearResponseJson()
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder clearResponseJson()Required. A sample response from the tool in JSON format.
string response_json = 4 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |
getDefaultInstanceForType()
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getMethod()
public String getMethod()Required. The uri of the tool. This should include query and path parameters if any.
string method = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The method. |
getMethodBytes()
public ByteString getMethodBytes()Required. The uri of the tool. This should include query and path parameters if any.
string method = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for method. |
getPath()
public String getPath()Required. The path of the tool to be appended to the base uri. This should include query and path parameters if any.
string path = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The path. |
getPathBytes()
public ByteString getPathBytes()Required. The path of the tool to be appended to the base uri. This should include query and path parameters if any.
string path = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for path. |
getRequestJson()
public String getRequestJson()Required. A sample request to the tool in JSON format. Skip if the tool does not support request body.
string request_json = 3 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The requestJson. |
getRequestJsonBytes()
public ByteString getRequestJsonBytes()Required. A sample request to the tool in JSON format. Skip if the tool does not support request body.
string request_json = 3 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for requestJson. |
getResponseJson()
public String getResponseJson()Required. A sample response from the tool in JSON format.
string response_json = 4 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The responseJson. |
getResponseJsonBytes()
public ByteString getResponseJsonBytes()Required. A sample response from the tool in JSON format.
string response_json = 4 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for responseJson. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig other)
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder mergeFrom(GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig other)| Parameter | |
|---|---|
| Name | Description |
other |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig |
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
|
setMethod(String value)
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder setMethod(String value)Required. The uri of the tool. This should include query and path parameters if any.
string method = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe method to set. |
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |
setMethodBytes(ByteString value)
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder setMethodBytes(ByteString value)Required. The uri of the tool. This should include query and path parameters if any.
string method = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for method to set. |
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |
setPath(String value)
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder setPath(String value)Required. The path of the tool to be appended to the base uri. This should include query and path parameters if any.
string path = 2 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe path to set. |
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |
setPathBytes(ByteString value)
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder setPathBytes(ByteString value)Required. The path of the tool to be appended to the base uri. This should include query and path parameters if any.
string path = 2 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for path to set. |
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |
setRequestJson(String value)
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder setRequestJson(String value)Required. A sample request to the tool in JSON format. Skip if the tool does not support request body.
string request_json = 3 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe requestJson to set. |
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |
setRequestJsonBytes(ByteString value)
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder setRequestJsonBytes(ByteString value)Required. A sample request to the tool in JSON format. Skip if the tool does not support request body.
string request_json = 3 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for requestJson to set. |
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |
setResponseJson(String value)
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder setResponseJson(String value)Required. A sample response from the tool in JSON format.
string response_json = 4 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe responseJson to set. |
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |
setResponseJsonBytes(ByteString value)
public GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder setResponseJsonBytes(ByteString value)Required. A sample response from the tool in JSON format.
string response_json = 4 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for responseJson to set. |
| Returns | |
|---|---|
| Type | Description |
GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfig.Builder |
This builder for chaining. |